# Enum Class CJ1CommandAuditSearchPreviousX

java.lang.Object
java.lang.Enum<CJ1CommandAuditSearchPreviousX>
com.io7m.cardant.protocol.inventory.json.internal.CJ1CommandAuditSearchPreviousX

All Implemented Interfaces:
  `CJ1SerialBijectionType<CJ1CommandAuditSearchPrevious,CAICommandAuditSearchPrevious>`, `Serializable`, `Comparable<CJ1CommandAuditSearchPreviousX>`, `Constable`

public enum CJ1CommandAuditSearchPreviousX extends Enum<CJ1CommandAuditSearchPreviousX> implements CJ1SerialBijectionType<CJ1CommandAuditSearchPrevious,CAICommandAuditSearchPrevious>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUDIT_SEARCH_PREVIOUS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CJ1CommandAuditSearchPrevious`
  `toCJ1(CAICommandAuditSearchPrevious m)`
  `CAICommandAuditSearchPrevious`
  `toCore(CJ1CommandAuditSearchPrevious m)`
  `static CJ1CommandAuditSearchPreviousX`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CJ1CommandAuditSearchPreviousX[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUDIT_SEARCH_PREVIOUS

    public static final CJ1CommandAuditSearchPreviousX AUDIT_SEARCH_PREVIOUS

- ## Method Details

  - ### values

    public static CJ1CommandAuditSearchPreviousX[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CJ1CommandAuditSearchPreviousX valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toCore

    public CAICommandAuditSearchPrevious toCore(CJ1CommandAuditSearchPrevious m)
    Specified by:
      `toCore` in interface `CJ1SerialBijectionType<CJ1CommandAuditSearchPrevious,CAICommandAuditSearchPrevious>`

  - ### toCJ1

    public CJ1CommandAuditSearchPrevious toCJ1(CAICommandAuditSearchPrevious m)
    Specified by:
      `toCJ1` in interface `CJ1SerialBijectionType<CJ1CommandAuditSearchPrevious,CAICommandAuditSearchPrevious>`